CoreELEC 20.0-Nexus Amlogic-ne Discussion

Amlogic-ne

Please use this thread for general CoreELEC 20.0-Nexus Amlogic-ne discussion

Before posting an error please follow these troubleshooting steps.

1 Like

I’m trying to compile CE-ne and it ends with this error:

checking rpc/rpc.h usability... no
checking rpc/rpc.h presence... no
checking for rpc/rpc.h... no
configure: error: Header file rpc/rpc.h not found - maybe try building with --enable-tirpc
FAILURE: scripts/build nfs-utils:host during configure_host (default)
*********** FAILED COMMAND ***********
${PKG_CONFIGURE_SCRIPT} ${HOST_CONFIGURE_OPTS} ${PKG_CONFIGURE_OPTS_HOST}
**************************************
FAILURE: scripts/build nfs-utils:host has failed!

The following log for this failure is available:
  /home/metium/CoreELEC/build.CoreELEC-Amlogic-ne.arm-20/.threads/logs/179.log

>>> nfs-utils:host seq 179 >>>
[168/332] [FAIL] build   nfs-utils:host

The following log for this failure is available:
  /home/metium/CoreELEC/build.CoreELEC-Amlogic-ne.arm-20/.threads/logs/179.log

Parallel build failure - see log for details. Time of failure: Fri Jan 20 15:32:47 CET 2023
make: *** [Makefile:10: image] Error 1

System: Ubuntu 22.04.1 LTS (GNU/Linux 5.15.0-58-generic x86_64)
libntirpc-dev package installed .

Use Ubuntu 20 to avoid any troubles.

Hi,
happy to see CE20.0 is out. Thank you for the hard work!
Hope this is not an overly stupid Q: how do I migrate my S905X4 from ng to ne? Can I just download the ne .tar and place it in the update folder?

Btw, I know that a fresh install is recommended, call me lazy but I would first prefer to do it as an update.

jak

Stupid question, yes and answered multiple times. Clean install is the way, yes.

Hey guys my Vim1s has been crashing on and off since I got it today. Can someone take a look at the log and point me in the right direction? Thanks.

http://ix.io/4lYz (1st issue)

http://ix.io/4lYE (2nd issue)

I think I might have multiple non related issues.

Well thinking it might be the emmc, I installed CoreELEC on an SDCard but unfortunately it still freezes.

So if someone can look at the logs I posted earlier and let me know what could be the problem. Thanks.

It has been noticed.

1 Like

Anybody got Coreelec running stable on a VIM1s without freezing? With at least a whole day of use without it freezing up on you and having to cut the power off for it to reboot?

Any feedback is appreciated.

Opening another thread will not help to resolve any issues faster.

We are currently working to get the kernel more stable. When we fixed it, it will be in nightly

Thank you for your reply.

I’m back… So I installed the latest nightly like I was told and it still freezes. I figured it’s better if I say something than not say anything at all. Hopefully it will help me and future VIM1s owners.

Logs that I was able to gather after repeated freezes. It got so bad that at one point it would freeze seconds after Kodi would load and didn’t get a chance to upload the logs. I would have to unplug the power to reboot the device.

Logs:

http://ix.io/4mys

http://ix.io/4myt

I see nothing in log. When this happen again do reboot without DC power cut and check if you get a output of: coreelec:debuglogs [CoreELEC Wiki]

But when you get issues on Kodi start it looks like a bad addon installed. So try on another boot media with clean fresh install.

Thanks for the feedback. I’ve done everything I could do on my part. Either they sent me a bad unit or I’m over seeing something.

I’ve used CoreELEC on the Le Potato and more recently a S905X4 box. All running CoreELEC fantastic. I’ve been happy with both devices.

The VIM1s has been a disappointment so far. It’s going into a drawer for now.

I’ll put my VIM1S on regular service to check if it freezes.

kswapd0 process is using 20-25% of CPU causing GUI stuttering on Odroid-N2 with Kodi Nexus fresh install.

Total new to ARM related media centers, and the overwhelming variety of hardware and SOCs.

I need to get new hardware, and read through the announcemen which is also pinned on top of this thread. I plan buying a Banana Pi M5 with S905X3.

The announcement now says:

" CoreELEC 20 becomes the active development branch and it is based on CoreELEC 19. With CoreELEC 20 the new device, Amlogic-ne: New Era will get introduced. All devices that support CoreELEC 19 Amlogic-ng will also support CoreELEC 20.0 Amlogic-ng.

Device Amlogic-ng hardware support will end with Amlogic SoC SC2 (S905X4).
Device Amlogic-ne will support hardware since Amlogic SoC SC2 (S905X4) and newer like S4 (S905Y4, S905W2) or T7 (A311D2).
With the release of device Amlogic-ne, Amlogic-ng will be become EOSD."

If I understand it right it says that there will be no software “NG” development after CoreELEC 20. And the successor is LE. And LE only supports SC2, S4 and T7. Does that mean that my planned S905X3 is already out-dated and will pretty soon be not supported anymore?

Sorry if this is clear for everyone else, but I would not want to invest in some deprecated hardware.
Thank you!